Save bills
curl --request POST \
--url https://sandbox.tight.com/v6/bills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"name": "Office rent",
"vendorId": "vnd_28868401",
"apiSourceId": "ext_123",
"lineItems": [
{
"id": "bli_123456",
"description": "Office supplies",
"amount": 5001,
"apiItemId": "item_123",
"glAccountId": "gla_38560327"
}
],
"id": "bll_158998869",
"billNo": 1001,
"status": "ACTIVE",
"billStatus": "OPEN",
"date": "2025-06-26",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/bills"
payload = { "data": [
{
"name": "Office rent",
"vendorId": "vnd_28868401",
"apiSourceId": "ext_123",
"lineItems": [
{
"id": "bli_123456",
"description": "Office supplies",
"amount": 5001,
"apiItemId": "item_123",
"glAccountId": "gla_38560327"
}
],
"id": "bll_158998869",
"billNo": 1001,
"status": "ACTIVE",
"billStatus": "OPEN",
"date": "2025-06-26",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
name: 'Office rent',
vendorId: 'vnd_28868401',
apiSourceId: 'ext_123',
lineItems: [
{
id: 'bli_123456',
description: 'Office supplies',
amount: 5001,
apiItemId: 'item_123',
glAccountId: 'gla_38560327'
}
],
id: 'bll_158998869',
billNo: 1001,
status: 'ACTIVE',
billStatus: 'OPEN',
date: '2025-06-26',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "bll_158998869",
"name": "Office rent",
"billNo": 1001,
"status": "ACTIVE",
"billStatus": "OPEN",
"date": "2025-06-26",
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"apiName": "QBO",
"apiSourceId": "ext_123",
"lineItems": [
{
"id": "bli_123456",
"description": "Office supplies",
"amount": 5001,
"apiItemId": "item_123",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
}
}
],
"installments": [
{
"id": "istl_123",
"name": "First installment",
"dueDate": "2025-07-15",
"balance": 10000,
"amountDue": {
"value": "50.0",
"type": "AMOUNT"
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "bll_158998869",
"name": "Office rent",
"billNo": 1001,
"status": "ACTIVE",
"billStatus": "OPEN",
"date": "2025-06-26",
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"apiName": "QBO",
"apiSourceId": "ext_123",
"lineItems": [
{
"id": "bli_123456",
"description": "Office supplies",
"amount": 5001,
"apiItemId": "item_123",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
}
}
],
"installments": [
{
"id": "istl_123",
"name": "First installment",
"dueDate": "2025-07-15",
"balance": 10000,
"amountDue": {
"value": "50.0",
"type": "AMOUNT"
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "bll_158998869",
"name": "Office rent",
"billNo": 1001,
"status": "ACTIVE",
"billStatus": "OPEN",
"date": "2025-06-26",
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"apiName": "QBO",
"apiSourceId": "ext_123",
"lineItems": [
{
"id": "bli_123456",
"description": "Office supplies",
"amount": 5001,
"apiItemId": "item_123",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
}
}
],
"installments": [
{
"id": "istl_123",
"name": "First installment",
"dueDate": "2025-07-15",
"balance": 10000,
"amountDue": {
"value": "50.0",
"type": "AMOUNT"
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Bills (A/P)
Save bills
Save new (or update existing) bills
POST
/
v6
/
bills
Save bills
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I